# OpenLayers.Layer.HTTPRequest

#### Inherits from

- OpenLayers.Layer

Summary

OpenLayers.Layer.HTTPRequest |
Constants |
URL_HASH_FACTOR | {Float} Used to hash URL param strings for multi-WMS server selection.
Properties |
reproject | Deprecated.
Constructor |
OpenLayers.Layer.HTTPRequest |
Functions |
destroy |
clone |
setUrl |
mergeNewParams |
redraw | Redraws the layer.

### Constants

### URL_HASH_FACTOR

{Float} Used to hash URL param strings for multi-WMS server selection. Set to the Golden Ratio per Knuth’s recommendation.

### Properties

### reproject

Deprecated. See http://docs.openlayers.org/library/spherical_mercator.html for information on the replacement for this functionality. {Boolean} Whether layer should reproject itself based on base layer locations. This allows reprojection onto commercial layers. Default is false: Most layers can’t reproject, but layers which can create non-square geographic pixels can, like WMS.

### Constructor

### OpenLayers.Layer.HTTPRequest

#### Parameters

name | {String}
url | {Array(String) or String}
params | {Object}
options | {Object} Hashtable of extra options to tag onto the layer

### Functions

### destroy

> destroy: function()

### clone

> clone: function ( | obj | )

#### Parameters

obj | {Object}

#### Returns

{OpenLayers.Layer.HTTPRequest} An exact clone of this OpenLayers.Layer.HTTPRequest

### setUrl

> setUrl: function( | newUrl | )

#### Parameters

newUrl | {String}

### mergeNewParams

> mergeNewParams:function( | newParams | )

#### Parameters

newParams | {Object}

#### Returns

redrawn: {Boolean} whether the layer was actually redrawn.

### redraw

> redraw: function( | force | )

Redraws the layer. Returns true if the layer was redrawn, false if not.

#### Parameters

force | {Boolean} Force redraw by adding random parameter.

#### Returns

{Boolean} The layer was redrawn.

> destroy: function()

> clone: function ( | obj | )

> setUrl: function( | newUrl | )

> mergeNewParams:function( | newParams | )

> redraw: function( | force | )

Redraws the layer.
Close